% PL_init adds the necessary paths to run the examples shown in [1].
%
% See also: PL_denoising, PL_demosaicking, PL_test_denoising, PL_test_demosaicking
%
% [1] M.J. Ehrhardt and S. Arridge, 
%     Vector-Valued Image Processing by Parallel Level Sets, 
%     IEEE Transactions on Image Processing (to appear), 2013
%
% 2013-07-25 --------------------------------------------------------------
% 
% Matthias J. Ehrhardt
% CMIC, University College London, UK
% 
% matthias.ehrhardt.11@ucl.ac.uk
% 
% -------------------------------------------------------------------------

display(' --- initialize parallel level set toolbox');

p = pwd;                            display(['   add path: ' p]); addpath(p);
p = [pwd, '/L_BFGS'];               display(['   add path: ' p]); addpath(p);
p = [pwd, '/objective functions'];  display(['   add path: ' p]); addpath(p);
p = [pwd, '/operators'];            display(['   add path: ' p]); addpath(p);
p = [pwd, '/utils'];                display(['   add path: ' p]); addpath(p);